# Class ExpPhase

#### Hierarchy (view full)

- PlayerPartyMemberPokemonPhase
  - ExpPhase

- Defined in src/phases.ts:4315

#####
Index

### Constructors

constructor

### Properties

expValue
fieldIndex
partyMemberIndex
player
scene

### Methods

end
executeForAll
getOrder
getParty
getPlayerPokemon
getPokemon
hideEnemyTrainer
showEnemyTrainer
start

## Constructors

### constructor

- new ExpPhase(scene, partyMemberIndex, expValue): ExpPhase

- #### Parameters

  - scene: default
  - partyMemberIndex: number
  - expValue: number

  #### Returns ExpPhase

  Overrides PlayerPartyMemberPokemonPhase.constructor

  - Defined in src/phases.ts:4318

## Properties

### `Private` expValue

expValue: number

- Defined in src/phases.ts:4316

### `Protected` fieldIndex

fieldIndex: number

Inherited from PlayerPartyMemberPokemonPhase.fieldIndex

- Defined in src/phases.ts:714

### `Protected` partyMemberIndex

partyMemberIndex: number

Inherited from PlayerPartyMemberPokemonPhase.partyMemberIndex

- Defined in src/phases.ts:713

### `Protected` player

player: boolean

Inherited from PlayerPartyMemberPokemonPhase.player

- Defined in src/phases.ts:715

### `Protected` scene

scene: default

Inherited from PlayerPartyMemberPokemonPhase.scene

- Defined in src/phase.ts:4

## Methods

### end

- end(): void

- #### Returns void

  Inherited from PlayerPartyMemberPokemonPhase.end

  - Defined in src/phase.ts:17

### executeForAll

- executeForAll(func): void

- #### Parameters

  - func: PokemonFunc

  #### Returns void

  Inherited from PlayerPartyMemberPokemonPhase.executeForAll

  - Defined in src/phases.ts:681

### getOrder

- getOrder(): BattlerIndex []

- #### Returns BattlerIndex []

  Inherited from PlayerPartyMemberPokemonPhase.getOrder

  - Defined in src/phases.ts:659

### getParty

- getParty(): default []

- #### Returns default []

  Inherited from PlayerPartyMemberPokemonPhase.getParty

  - Defined in src/phases.ts:727

### getPlayerPokemon

- getPlayerPokemon(): PlayerPokemon

- #### Returns PlayerPokemon

  Inherited from PlayerPartyMemberPokemonPhase.getPlayerPokemon

  - Defined in src/phases.ts:741

### getPokemon

- getPokemon(): default

- #### Returns default

  Inherited from PlayerPartyMemberPokemonPhase.getPokemon

  - Defined in src/phases.ts:731

### hideEnemyTrainer

- hideEnemyTrainer(): void

- #### Returns void

  Inherited from PlayerPartyMemberPokemonPhase.hideEnemyTrainer

  - Defined in src/phases.ts:644

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?): void

- #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from PlayerPartyMemberPokemonPhase.showEnemyTrainer

  - Defined in src/phases.ts:617

### start

- start(): void

- #### Returns void

  Overrides PlayerPartyMemberPokemonPhase.start

  - Defined in src/phases.ts:4324